LibreOffice LibreOffice 6.2 SDK API Reference

Exported Interfaces | List of all members
Shapes Service Referencepublished

This service is for a generic collection of shapes. More...

`import"Shapes.idl";`

Inheritance diagram for Shapes:

## Exported Interfaces
interface | com::sun::star::drawing::XShapes

## Additional Inherited Members
Public Member Functions inherited from XShapes
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection. More...
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This service is for a generic collection of shapes.

## Exported Interfaces

## ◆ com::sun::star::drawing::XShapes

interface com::sun::star::drawing::XShapes

The documentation for this service was generated from the following file:

- com/sun/star/drawing/Shapes.idl